regression in linux-image-3.8.0-29-generic: ipod shuffle 2g does not mount any more

Bug #1215155 reported by Paul Ortyl on 2013-08-21
102
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
Linux Mint
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

starting with linux-image-3.8.0-29-generic ipod shuffle 2g could not be mounted.
with 3.8.0-27-generic works OK
[ 23.752494] USB Mass Storage support registered.
[ 24.752744] scsi 4:0:0:0: Direct-Access Apple iPod 2.70 PQ: 0 ANSI: 2
[ 24.754546] sd 4:0:0:0: Attached scsi generic sg2 type 0
[ 24.755357] sd 4:0:0:0: [sdc] 495616 2048-byte logical blocks: (1.01 GB/968 MiB)
[ 24.756585] sd 4:0:0:0: [sdc] Write Protect is off
[ 24.756588] sd 4:0:0:0: [sdc] Mode Sense: 64 00 00 08
[ 24.757226] sd 4:0:0:0: [sdc] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[ 24.758599] sd 4:0:0:0: [sdc] 495616 2048-byte logical blocks: (1.01 GB/968 MiB)
[ 24.769902] sdc:
[ 24.771237] sd 4:0:0:0: [sdc] 495616 2048-byte logical blocks: (1.01 GB/968 MiB)
[ 24.772748] sd 4:0:0:0: [sdc] Attached SCSI removable disk

with 3.8.0-29-generic I get only
[ 186.661052] scsi 5:0:0:0: Direct-Access Apple iPod 2.70 PQ: 0 ANSI: 2
[ 186.662692] sd 5:0:0:0: Attached scsi generic sg2 type 0
[ 186.663501] sd 5:0:0:0: [sdc] 495616 2048-byte logical blocks: (1.01 GB/968 MiB)
[ 186.664756] sd 5:0:0:0: [sdc] Write Protect is off
[ 186.664765] sd 5:0:0:0: [sdc] Mode Sense: 64 00 00 08
[ 186.666731] sd 5:0:0:0: [sdc] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
and nothing more, /dev/sdc does not exist

The same behaviour on T500 and S10-3t. (had to roll back to 3.8.0-27)

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-29-generic (not installed)
ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
Uname: Linux 3.8.0-27-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ortyl 2029 F.... pulseaudio
Date: Wed Aug 21 23:03:36 2013
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=c6b1277b-2ac7-46e4-b8f3-ce7f93218a25
InstallationDate: Installed on 2012-09-01 (354 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
MachineType: LENOVO 20827SG
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=a20647bb-a321-40ad-96f0-47cbe5c02a92 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-27-generic N/A
 linux-backports-modules-3.8.0-27-generic N/A
 linux-firmware 1.106
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-04-01 (142 days ago)
dmi.bios.date: 12/14/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 6FET92WW (3.22 )
dmi.board.name: 20827SG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6FET92WW(3.22):bd12/14/2011:svnLENOVO:pn20827SG:pvrThinkPadT500:rvnLENOVO:rn20827SG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20827SG
dmi.product.version: ThinkPad T500
dmi.sys.vendor: LENOVO

Paul Ortyl (ortylp) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Hideki Saito (hideki-g) wrote :

This seems to be happening with generic USB thumbdrives, too. (This one's unmarked promotional USB thumbdrive, but confirmed this happening on two of the identical model.)

The below is kern.log of the relevant section.

Aug 21 15:14:24 madoka kernel: [ 936.616305] usb 2-1: USB disconnect, device number 2
Aug 21 15:14:28 madoka kernel: [ 940.471598] usb 2-2: new high-speed USB device number 3 using ehci-pci
Aug 21 15:14:28 madoka kernel: [ 940.605182] usb 2-2: New USB device found, idVendor=cd12, idProduct=ef18
Aug 21 15:14:28 madoka kernel: [ 940.605195] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 21 15:14:28 madoka kernel: [ 940.605203] usb 2-2: Product: DISK
Aug 21 15:14:28 madoka kernel: [ 940.605209] usb 2-2: Manufacturer: USB 2.0
Aug 21 15:14:28 madoka kernel: [ 940.605214] usb 2-2: SerialNumber: 4066037FC2C31922
Aug 21 15:14:28 madoka kernel: [ 940.606551] scsi3 : usb-storage 2-2:1.0
Aug 21 15:14:29 madoka kernel: [ 941.603475] scsi 3:0:0:0: Direct-Access USB 2.0 DISK 1.00 PQ: 0 ANSI: 2
Aug 21 15:14:29 madoka kernel: [ 941.606238] sd 3:0:0:0: Attached scsi generic sg2 type 0
Aug 21 15:14:29 madoka kernel: [ 941.609269] sd 3:0:0:0: [sdb] 4075520 512-byte logical blocks: (2.08 GB/1.94 GiB)
Aug 21 15:14:29 madoka kernel: [ 941.609883] sd 3:0:0:0: [sdb] Write Protect is off
Aug 21 15:14:29 madoka kernel: [ 941.609909] sd 3:0:0:0: [sdb] Mode Sense: 0b 00 00 08
Aug 21 15:14:29 madoka kernel: [ 941.611164] sd 3:0:0:0: [sdb] No Caching mode page present
Aug 21 15:14:29 madoka kernel: [ 941.611173] sd 3:0:0:0: [sdb] Assuming drive cache: write through
Aug 21 15:15:00 madoka kernel: [ 972.327875] usb 2-2: reset high-speed USB device number 3 using ehci-pci
Aug 21 15:15:31 madoka kernel: [ 1003.344758] usb 2-2: reset high-speed USB device number 3 using ehci-pci
Aug 21 15:16:02 madoka kernel: [ 1034.297549] usb 2-2: reset high-speed USB device number 3 using ehci-pci
Aug 21 15:16:33 madoka kernel: [ 1065.250606] usb 2-2: reset high-speed USB device number 3 using ehci-pci
Aug 21 15:16:33 madoka kernel: [ 1065.390248] sd 3:0:0:0: [sdb] No Caching mode page present
Aug 21 15:16:33 madoka kernel: [ 1065.390263] sd 3:0:0:0: [sdb] Assuming drive cache: write through

Francisco Reverbel (reverbel) wrote :

The same thing happens with an iPod Classic. Automount works perfectly with kernel 3.8.0-27, but not with kernel 3.8.0-29.

Francisco Reverbel (reverbel) wrote :

On a closer look, automount is still working with kernel 3.8.0-29, but there is a huge delay (more than 6 minutes) before the iPod Classic gets automounted.

A similar problem has been reported here: http://askubuntu.com/questions/332807/automount-flash-drive-lags

Hideki Saito (hideki-g) wrote :

It's looking like it is attempting to mount with USB2, but falling back to USB1...

This is from different distribution, but might be relevant.
https://bbs.archlinux.org/viewtopic.php?id=167705

Luis Henriques (henrix) wrote :

It looks like this is a regression introduced by upstream commit 66c28f9 ("[SCSI] sd: Update WRITE SAME heuristics"). This commit has been introduced into the Raring kernel 3.8.0-29.42.

The good news is that the fix has been merged upstream with 7562523 ("[SCSI] Don't attempt to send extended INQUIRY command if skip_vpd_pages is set"). The bad news is that it hasn't yet hit the Raring kernel.

I've uploaded a test kernel containing the fix. Could anyone facing this issue check wether it solves it? Here's the link to the test kernel:

http://people.canonical.com/~henrix/lp1215155/

Just for completeness, here's the link to the upstream bug: https://bugzilla.kernel.org/show_bug.cgi?id=60664

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
tags: added: regression-update
Paul Ortyl (ortylp) wrote :

@henrix I have tested your kernel, and it works for me.

What stays to be tested/optimised in this context is the delay between connecting of the physical device to USB and seeing it mounted in the system and GUI. It took somewhere between 2 and 5 seconds on my system. It feels long.

tags: added: bios-outdated-3.23-3.25 needs-upstream-testing
tags: added: cherry-pick kernel-fixed-upstream
removed: needs-upstream-testing
Luis Henriques (henrix) on 2013-08-26
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-raring
mamoch (mamoch) wrote :

The mentioned raring-proposed kernel “linux-image-3.8.0-30-generic” solved the problem for my external Verbatim USB 3.0 drive.

liddler (richard-liddle) wrote :

The proposed 3.8.0-30 kernel solved the problem from my 3G ipod nano

Brad Figg (brad-figg) on 2013-08-27
tags: added: verification-done-raring
removed: verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 3.8.0-30.44

---------------
linux (3.8.0-30.44) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215596

  [ Upstream Kernel Changes ]

  * Don't attempt to send extended INQUIRY command if skip_vpd_pages is set
    - LP: #1215155

linux (3.8.0-30.43) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215095

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Brad Figg ]

  * Start new release

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Kamal Mostafa ]

  * SAUCE: (no-up) Revert "SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE
    for Dell XPS13 backlight"

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Workaround incoherence between fences and LLC across
    multiple CPUs"
    - LP: #1207977
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1207977
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1207977
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1207977
  * drm/i915: Correct obj->mm_list link to
    dev_priv->dev_priv->mm.inactive_list
    - LP: #1207977
  * drm/i915: fix up ring cleanup for the i830/i845 CS tlb w/a
    - LP: #1207977
  * Partially revert "drm/i915: unconditionally use mt forcewake on
    hsw/ivb"
    - LP: #1207977
  * drm/i915: Fix write-read race with multiple rings
    - LP: #1207977
  * drm/i915: merge {i965, sandybridge}_write_fence_reg()
    - LP: #1207977
  * drm/i915: Fix incoherence with fence updates on Sandybridge+
    - LP: #1207977
  * drm/i915: rename sdvox_reg to hdmi_reg on HDMI context
    - LP: #1207977
  * drm/i915: don't setup hdmi for port D edp in ddi_init
    - LP: #1207977
  * drm/i915: Preserve the DDI_A_4_LANES bit from the bios
    - LP: #1207977
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1207977
  * drm/radeon: allocate SA bo in the requested domain
    - LP: #1207977
  * drm/radeon: allow selection of alignment in the sub-allocator
    - LP: #1207977
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1207977
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1207977
  * ext4: fix error handling in ext4_ext_truncate()
    - LP: #1207977
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1207977
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: usx2y: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: pxa2xx: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ASoC: atmel: Fix unl...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Jerry Gamache (jerry-gamache) wrote :

I have to report only partial success. The fix works perfectly for USB drives, but I still get the same 5 min timeout using a combo USB/IEEE1394 drive if I use the IEE1394 port (works fine when connected via USB). Might be a matter for a separate bug though.

Jerry Gamache, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.